<div id="cv-block-edit-header">
    <div class="panel-title">
        <a href="javascript:saveBlockEditForm();" class="easyui-linkbutton">保存</a>
    </div>
</div>

<div class="easyui-panel" style="width: 100%;height: 100%;padding-top: 15px;" header="#cv-block-edit-header">
    <form id="cv-block-edit-form" method="post">
        <?= $extra; ?>
    </form>
</div>

<script type="text/javascript">
    function saveBlockEditForm(){
        $("#cv-block-edit-form").form('submit',{
            url: '<?= url('edit',['block_id'=>$block_id]); ?>',
            onSubmit: function(){
                return $(this).form('validate');
            },
            success: function(result){
                var response = JSON.parse(result);
                message(response.message);
            }
        });
    }
</script>